Subject: bug#79010: Emacs freezes, leaving small gray buffer-menu popup on screen.

From: Eli Zaretskii <[email-masked]>
Date: Mon, 14 Jul 2025 14:07:59 +0300

> From: Jeffrey Brown <[email-masked]>
> Date: Sun, 13 Jul 2025 14:29:35 -0500
> 
> I have attached a screenshot. Notice the little gray buffer-menu popup on the right side. I don't know why it
> popped up. (I switch buffers using `C-x C-b` or `Ctrl-TAB`. I was not trying to switch buffers when it crashed,
> but I may have mis-typed some key command.)
> emacs-crashes-with-popup-buffer-menu.png
> 
> The popup was surprisingly persistent. It stayed overlaid on my screen even as I navigated to a different
> desktop, away from the one with Emacs. (The main Emacs windows did not disappear, but unlike the popup
> it behaved itself, staying on the desktop where I had launched it.) The main window eventually became gray.
> (I have no screenshot of the window once it had turned gray, only before.)
> 
> Normally I kill emacs and restart. This time that didn't work, until I used the `-9` option to the `kill` shell
> command.
> 
> This kind of crash has happened to me many times before, at least once a week for, I think, months. Sorry
> for not reporting sooner.

Please run Emacs under GDB (assuming that your Emacs binary is not
stripped of debugging symbols), and when it crashes like this next
time, and G|DB kicks in, type the following at the GDB prompt:

  (gdb) thread apply all bt

and post here everything that GDB prints as result.

Also, please invoke "M-x report-emacs-bug" and post here all the
information about your system and Emacs build and configuration which
that command collects.

Thanks.